import { StrictMode } from "react";
import ReactDOM from "react-dom";
import { arc } from "d3";

const width = 960;
const height = 500;
const centerX = width/2;
const centerY = height/2;
const strokeWidth = 10;
const eyeOffset = 100;
const eyeSize = 50;
const mouthWidth = 20;
const mouthRadius = 130;

const mouthArc = arc()
								.innerRadius(mouthRadius)
								.outerRadius(mouthRadius + mouthWidth)
								.startAngle(Math.PI/2)
								.endAngle(Math.PI * 3 / 2);



const App  = () => (
  <svg width={width} height={height}>
    <g transform={`translate(${centerX},${centerY})`}>
        <circle
                r={centerY- strokeWidth/2}
                fill="yellow"
                stroke="black"
                stroke-width={strokeWidth}
                >
        </circle>
        <circle
                cx={-eyeOffset}
                cy={-eyeOffset}
                r={eyeSize}
                fill="black"
                >
        </circle>
        <circle
                cx={eyeOffset}
                cy={-eyeOffset}
                r="50"
                fill="black"
                >
        </circle>
      <path d={mouthArc()}/>
    </g>
    </svg>
);

const rootElement = document.getElementById("root");
ReactDOM.render( <App />,rootElement);